# $Revision: 1.14 $, $Date: 2005/09/18 22:19:59 $
# TODO:
# - (someone please do it, as I dont know evolution) add evolution theme

%define		_name	Wasp
%define		_color_ver	0.4
Summary:	KDE icons - %{_name}
Summary(pl):	Motyw ikon do KDE - %{_name}
Name:		kde-theme-%{_name}
Version:	2.6.1
Release:	4
License:	Design Science License (DSL)
Group:		Themes
Source0:	http://pyavitz.home.comcast.net/kde/%{_name}.SVG.Icons-v%{version}.tar.bz2
# Source0-md5:	ffe038b797cf9a7572b396ec5c618c4b
Source1:	dsl.txt
URL:		http://www.kde-look.org/content/show.php?content=9763
Requires:	kde-icons-%{_name}
Requires:	kde-decoration-icewm-%{_name}
Requires:	kde-colorscheme-%{_name}-thinkeramik
Requires:	kde-colorscheme-%{_name}-activeheart
Requires:	kde-colorscheme-%{_name}
Requires:	kde-splash-%{_name}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
Wasp Icons for KDE, originally released on GNOME as part of the GNOME
Themes Extras Project.

%description -l pl
Wasp Icons dla KDE, oryginalnie wydany dla GNOME jako cz projektu
GNOME THemes Extras.

%package -n kde-icons-%{_name}
Summary:	KDE icon theme - %{_name}
Summary(pl):	Motyw ikon do KDE - %{_name}
Group:		Themes
Requires:	kdelibs

%description -n kde-icons-%{_name}
Icon theme based on BeOS/Zeta icons. It creates a cartoon and
colorful, yet serious look.

%description -n kde-icons-%{_name} -l pl
Motyw ikon oparty o ikony z BeOS/Zeta, tworzy kreskwkowy i kolorowy,
ale wci powany wygld.

%package -n kde-decoration-icewm-%{_name}
Summary:	Icewm window decoration for kwin - %{_name}
Summary(pl):	Dekoracja icewm dla kwin - %{_name}
Group:		Themes
Requires:	kde-decoration-icewm

%description -n kde-decoration-icewm-%{_name}
Two Beos looking decorations for kwin.

%description -n kde-decoration-icewm-%{_name} -l pl
Dwie dekoracje podobne do Beos.

%package -n kde-colorscheme-%{_name}
Summary:	Color scheme for %{_name} theme
Summary(pl):	Schemat kolorw dla motywu %{_name}
Group:		Themes
Version:	%{_color_ver}
Requires:	kdebase-core

%description -n kde-colorscheme-%{_name}
Three color schemes with gray window background and yellow/dark
blue/green selection backgrounds.

%description -n kde-colorscheme-%{_name} -l pl
Trzy schematy kolorw z szarym tem okna i tym, ciemnoniebieskim
lub zielonym kolorem zaznaczenia.

%package -n kde-colorscheme-%{_name}-thinkeramik
Summary:	Extending color scheme for %{_name} theme for thinkeramik style
Summary(pl):	Rozszerzenia schematw kolorw dla motywu %{_name} do stylu thinkeramik
Group:		Themes
Requires:	kdebase-core
Requires:	kde-style-thinkeramik >= 3.2.1-2

%description -n kde-colorscheme-%{_name}-thinkeramik
Three extending colorschemes with light blue/blue/dark
blue/green/yellow colors for active tab marker, progress bar
background, slider and scrollbar.

%description -n kde-colorscheme-%{_name}-thinkeramik -l pl
Trzy rozszerzenia schematw kolorw z jasnoniebieskimi, niebieskimi,
ciemnoniebieskimi, tymi lub zielonymi kolorami wyrznika aktywnej
karty, suwaka, paska przewijania oraz ta paska postpu.

%package -n kde-colorscheme-%{_name}-activeheart
Summary:	Extending color scheme for %{_name} theme for activeheart style
Summary(pl):	Rozszerzenia schematw kolorw dla motywu %{_name} do stylu activeheart
Group:		Themes
Requires:	kdebase-core
Requires:	kde-style-ActiveHeart >= 1.2.1-2

%description -n kde-colorscheme-%{_name}-activeheart
Three extending colorschemes with blue/dark blue/green colors for
active tab marker, progress bar background, slider and scrollbar.

%description -n kde-colorscheme-%{_name}-activeheart -l pl
Trzy rozszerzenia schematw kolorw z niebieskimi, ciemnoniebieskimi
lub zielonymi kolorami wyrznika aktywnej karty, ta paska postpu,
suwaka oraz paska przewijania.

%package -n kdm-user-pictures-%{_name}
Summary:	KDM user picture - %{_name}
Summary(pl):	Obrazki dla uytkownikw w KDM - %{_name}
Group:		Themes
# Contains /usr/share/wallpapers
Requires:	kdm

%description -n kdm-user-pictures-%{_name}
Two user pictures with a person on surfboard. One in yellow (normal
user) and in red (root).

%description -n kdm-user-pictures-%{_name} -lpl
Dwa obrazki uytkownikw z osob na desce surfingowej. Jedna ubrana na
to (zwyky uytkownik) i jedna na czerwono (root).


%package -n gdm-theme-%{_name}
Summary:	A Wasp theme for the GNOME Display Manager
Summary(pl):	Motyw Wasp do GDM
Group:		Themes
Requires:	gdm

%description -n gdm-theme-%{_name}
Three login screens for GDM with a cartoon computer icon in the center
and a login prompt under it. One with a yellow background, second
yellow with a gray area in the top left corner and third with a gray
background and yellow area in the top left corner.

%description -n gdm-theme-%{_name} -l pl
Trzy ekrany logowania do GDM z kreskwkow ikon komputera w rodku i
polem do logowania umieszczonym pod ni. Jeden z nich ma cae te
to, drugi te to i szary wycinek w lewym grnym rogu, a trzeci
szare to i ty wycinek.

%package -n kde-splash-%{_name}
Summary:	Splash screen %{_name} theme
Summary(pl):	Ekran startowy dla motywu %{_name}
Group:		Themes
Requires:	kdebase-desktop >= 9:3.1.90

%description -n kde-splash-%{_name}
Two splash screens (yellow and blue) with a "kde loading" bubble text
in the top left corner and a cartoon looking, Beos-like computer icon
to the right, and of course the standrad progress/icon bars.

%description -n kde-splash-%{_name} -l pl
Dwa ekrany startowe (niebieski i ty) z dymkiem z tekstem "kde
loading" w lewym grnym rogu oraz kreskwkow ikon komputera po
prawej, no i oczywicie standardowymi paskami postpu i ikon.

%package -n kde-kside-%{_name}
Summary:	Kicker side image from %{_name}
Summary(pl):	Boczny pasek do menu KDE z motywu %{_name}
Group:		Themes
Obsoletes:	kde-kside
Provides:	kde-kside
Requires:	kdebase-desktop >= 9:3.1.90.030726-2

%description -n kde-kside-%{_name}
A kicker side image with the "Wasp" text and a part of a cartoon
looging computer icon.

%description -n kde-kside-%{_name} -l pl
Pasek boczny do menu KDE z napisem "Wasp" oraz fragmentem kreskwkowej
ikony komputera.

%package -n kopete-emoticons-%{_name}
Summary:	Kopete emoticons from %{_name} theme
Summary(pl):	Emotikony do kopete z tematu %{_name}
Group:		Themes
Requires:	kdenetwork-kopete

%description -n kopete-emoticons-%{_name}
Round, convex, dark yellow emoticons with dark red faces.

%description -n kopete-emoticons-%{_name} -l pl
Okrge, wypuke, ciemnote emotikony z ciemnoczerwonymi twarzami.

%prep
cd $RPM_BUILD_DIR
rm -rf Wasp
mkdir Wasp
cd Wasp
install %{SOURCE1} ./

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_iconsdir},%{_datadir}/apps/{kopete/pics/emoticons,kdisplay/{color-schemes,styleconfs}}}
install -d $RPM_BUILD_ROOT%{_datadir}/apps/{kwin/icewm-themes,kicker/pics,ksplash/Themes}
install -d $RPM_BUILD_ROOT%{_datadir}/{gdm/themes,apps/kdm/pics/users}
%{__tar} xfj %{SOURCE0} -C $RPM_BUILD_ROOT%{_iconsdir}
##mv $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras ./
mv $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/emoticons/Gossip $RPM_BUILD_ROOT%{_datadir}/apps/kopete/pics/emoticons/
mv $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/color-scheme/kde/*.*rc $RPM_BUILD_ROOT%{_datadir}/apps/kdisplay/color-schemes/
mv $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/color-scheme/activeheart/*.*rc $RPM_BUILD_ROOT%{_datadir}/apps/kdisplay/styleconfs/
mv $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/color-scheme/thinkeramik/*.*rc $RPM_BUILD_ROOT%{_datadir}/apps/kdisplay/styleconfs/
mv $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/icewm/BeWB-0.3 $RPM_BUILD_ROOT%{_datadir}/apps/kwin/icewm-themes/
mv $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/icewm/BeWasp $RPM_BUILD_ROOT%{_datadir}/apps/kwin/icewm-themes/
mv $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/kside/*.png $RPM_BUILD_ROOT%{_datadir}/apps/kicker/pics/
mv $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/splash/Gonx $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/Themes/
mv $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/splash/Wasp $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/Themes/

# mv extras/evolution <WHERE>
mv -f $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/kdm/*.png $RPM_BUILD_ROOT%{_datadir}/apps/kdm/pics/users/
mv -f $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/gdm/Wasp $RPM_BUILD_ROOT%{_datadir}/gdm/themes/
mv -f $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/gdm/Wasp.G $RPM_BUILD_ROOT%{_datadir}/gdm/themes/
mv -f $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras/gdm/Wasp.Y $RPM_BUILD_ROOT%{_datadir}/gdm/themes/
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/Wasp/extras

%clean
rm -rf $RPM_BUILD_ROOT

%files

%files -n gdm-theme-%{_name}
%defattr(644,root,root,755)
%{_datadir}/gdm/themes/*

%files -n kde-icons-%{_name}
%defattr(644,root,root,755)
%doc Wasp/dsl.txt
%{_iconsdir}/Wasp

%files -n kdm-user-pictures-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kdm/pics/users/*

%files -n kde-decoration-icewm-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kwin/icewm-themes/*

%files -n kde-kside-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kicker/pics/*

%files -n kopete-emoticons-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kopete/pics/emoticons/*

%files -n kde-colorscheme-%{_name}-thinkeramik
%defattr(644,root,root,755)
%{_datadir}/apps/kdisplay/styleconfs/thinkeramik_*.kcmrc

%files -n kde-colorscheme-%{_name}-activeheart
%defattr(644,root,root,755)
%{_datadir}/apps/kdisplay/styleconfs/activeheart_*.kcmrc

%files -n kde-colorscheme-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kdisplay/color-schemes/*.kcsrc

%files -n kde-splash-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/ksplash/Themes/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-theme-Wasp.spec,v $
Revision 1.14  2005/09/18 22:19:59  glen
- blah, kdebase-kicker no more, fall back to kdebase-desktop; rel 4

Revision 1.13  2005/09/18 22:17:24  glen
- create base package and depend on icons/decoration/colorscheme/splash packages; rel 3

Revision 1.12  2004/11/04 13:10:53  paladine
- spaces->tabs
- cosmetics

Revision 1.11  2004/05/27 18:46:36  djurban
- release. 2 to forcereq on patched kde-theme-Activehear/thinkeramik

Revision 1.10  2004/05/27 17:58:53  djurban
- install gdm themes (evolution themes would conflict with evelotuion, because it has no theme support and you have to overwrite images)
- thinkkeramik/activeheart colors moved to styelconfs which dont work in activeheart/thinkeramik without KDEDIR=/usr set in the environment, gotta patch

Revision 1.9  2004/04/17 23:31:54  qboosh
- desc

Revision 1.8  2004/04/17 13:54:01  ankry
- spaces -> tabs

Revision 1.7  2004/04/17 13:44:12  ankry
- spaces -> tabs

Revision 1.6  2004/04/17 10:32:31  djurban
- new name

Revision 1.5  2004/04/17 10:00:23  djurban
- builds, tho some colorschem pkgs need newer version of activehear/thinkeramik which are not committed yet

Revision 1.4  2004/04/16 19:39:50  djurban
- licence fix

Revision 1.3  2004/04/16 19:27:22  twittner
- md5 fix

Revision 1.2  2004/04/16 19:23:45  djurban
- changelog fix
- addeed licence

Revision 1.1  2004/04/16 19:04:30  djurban
- kde theme with the new Beos Zeta look [includes gdm themes, some gnome
  expert please tell me where to install them or just commit a change :)]
